assert( Necronomicon, "Necronomicon not found!")

-- Demon Skin
-- Demon Armor
-- Fel Armor
-- Pick and Choose between Demon or Fel. (LeftClick, RightClick)

----------------------------------
--        Are you local?        --
----------------------------------

local L = AceLibrary("AceLocale-2.2"):new("Necronomicon")

----------------------------------
--      Module Declaration      --
----------------------------------

NecronomiconArmor = Necronomicon:NewModule("Armor")

NecronomiconArmor.revision = tonumber(string.sub("$Revision: 26482 $", 12, -3))

NecronomiconArmor.defaults = {
}

----------------------------------
--     Module Intialization     --
----------------------------------

function NecronomiconArmor:OnRegister()
	self:RegisterSpell("Demon Skin")
	self:RegisterSpell("Demon Armor")
	self:RegisterSpell("Fel Armor")
end

function NecronomiconArmor:OnEnable()
	self:RegisterEvent("Necronomicon_ClearSpells")
	self:RegisterEvent("Necronomicon_HasSpell")
end

----------------------------------
--        Event Handlers        --
----------------------------------

function Necronomicon:Necronomicon_ClearSpells()
	-- assume a clean start
end

function Necronomicon:Necronomicon_HasSpell( enspell, spell, subspell, spellid )
	if not enspell then return end
end
